CREATE TABLE IF NOT EXISTS `acdrschedule` (
  `id` int(11) NOT NULL auto_increment,
  `mailto` varchar(250) default NULL,
  `mailfrom` varchar(250)  default NULL,
  `mailfromname` varchar(250)  NOT NULL default '',
  `subject` varchar(250)  default NULL,
  `reports` text ,
  `period` varchar(50)  default NULL,
  `message` text ,
  `frequency` varchar(50)  default NULL,
  `freqday` varchar(50)  default NULL,
  `freqhour` varchar(10)  default NULL,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET 'utf8';

DROP FUNCTION IF EXISTS SPLIT_STR;

CREATE FUNCTION SPLIT_STR( x VARCHAR(255), delim VARCHAR(12), pos INT ) RETURNS VARCHAR(255) DETERMINISTIC RETURN REPLACE(SUBSTRING(SUBSTRING_INDEX(x, delim, pos), LENGTH(SUBSTRING_INDEX(x, delim, pos -1)) + 1), delim, '');

GRANT EXECUTE ON *.* TO asteriskuser@localhost;
